POST
Create manual bank account

Authorizations

x-api-key
string
header
required

Headers

x-tenant
string
required

Tenant identifier

Path Parameters

entityId
string
required

Body

application/json
iban
string
required

International Bank Account Number

Example:

"SA0380000000608010167519"

attachmentId
string
required
isPrimary
boolean
bankNameEn
string

Bank name in English

Example:

"Bank of Saudi"

bankNameAr
string

Bank name in Arabic

Example:

"بنك السعودي"

swiftCode
string

SWIFT/BIC code of the bank

Example:

"BOSAUS3N"

bankCode
string

Bank code if available

Example:

"123456"

holderName
string

Name of the account holder

Example:

"John Doe"

status
enum<string>

Current status of the bank account at the bank

Available options:
Active,
Blocked,
Closed,
InLiquidation
Example:

"Active"

Response

Success

data
object | null
required
creationStatus
enum<string>
Available options:
Created,
Invalid,
Existing